import request from '@/utils/request'

// 查询导入人员信息列表
export function listInfo(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}

// 查询总核酸次数
export function listInfohs(query) {
  return request({
    url: '/index/info/heSuanCount',
    method: 'get',
    params: query
  })
}

// 查询导入人员信息详细
export function getInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'get'
  })
}

// 新增导入人员信息
export function addInfo(data) {
  return request({
    url: '/system/info',
    method: 'post',
    data: data
  })
}

// 修改导入人员信息
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除导入人员信息
export function delInfo(id) {
  return request({
    url: '/system/info/' + id,
    method: 'delete'
  })
}

// 核对批量核酸结果
export function dataInfo(query) {
  return request({
    url: '/system/info/date',
    method: 'get',
    params: query
  })
}
